
/* C code for `archive index entry' (struct) */

/* Includes */
#include "config.h"
#include "/opt/Sather/System/header.h"

/* Declarations */


INT C_ARCHIVE_INDEX_size (void)
{ return (sizeof(archive_index_entry_type)+sizeof(INT)-1)/sizeof(INT) ; }

INT C_ARCHIVE_INDEX_sig_size (void)
{ return SIGNATURE_SIZE ; }

void C_ARCHIVE_INDEX_get_name(INT* name, INT* me)
{*(char **)name = ((*(archive_index_entry_type *)me).name) ; }

void C_ARCHIVE_INDEX_get_signature(INT* sig, INT* me)
{void *loc_res = memcpy((char *)sig,
            ((*(archive_index_entry_type *)me).signature), SIGNATURE_SIZE) ; }

void C_ARCHIVE_INDEX_set_signature(INT * me, INT* sig)
{ void *loc_res = memcpy(((*(archive_index_entry_type *)me).signature),
                                            (char *)sig, SIGNATURE_SIZE) ; }

void C_ARCHIVE_INDEX_get_creation_date(INT * date, INT* me)
{ *(int*)date = ((*(archive_index_entry_type*)me).date_created) ; }
                                                 
void C_ARCHIVE_INDEX_get_modified_date(INT* date, INT* me)
{ *(int*)date = ((*(archive_index_entry_type*)me).date_last_modified) ; }
                                                 
void C_ARCHIVE_INDEX_get_data_size(INT *size, INT* me)
{ *(int*)size = ((*(archive_index_entry_type*)me).data_size) ; }

void C_ARCHIVE_INDEX_set_data_size(INT* me, INT* size)
{ ((*(archive_index_entry_type*)me).data_size) = *(int*)size ; }

void C_ARCHIVE_INDEX_get_kind(INT* kind, INT* me)
{ *(int*)kind = ((*(archive_index_entry_type*)me).kind) ; }

void C_ARCHIVE_INDEX_set_kind(INT* me, INT* sort)
{ ((*(archive_index_entry_type*)me).kind) = *(int*)sort ; }

